<?
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = '../index.php';
		</script>
		<? 
		exit();
		}
$id_empresa = $_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];
?>
<?
include("../conex.php");

$flag=0;
$fecha_em=$txtfecha;

/************************************************** verifica cliente *********************************************/		
	$res_cli = mysql_query("SELECT * FROM sucursales WHERE id=$id_sucursal",$enlace);
	if(mysql_fetch_object($res_cli)) 
		{
		$txtrut = mysql_result($res_cli, 0, "rut");
		}


	/************************************************** sacar tipo dcto   verifica num factura ***************************/		
		$sql_dcto = "SELECT * FROM tipo_dcto_num_bodega WHERE id_dcto = 2 AND id_bodega='$id_bodega' AND id_empresa = $id_empresa";
	$res_dcto = mysql_query($sql_dcto,$enlace);
	$row=0;

	while (mysql_fetch_object ($res_dcto))
		{
		$id_tipo_dcto = mysql_result($res_dcto, $row, "id");
		$sql_num_bol = mysql_result($res_dcto, $row, "correlativo");
		$sql_num_bol = $sql_num_bol + 1;
		$row=$row+1;
		}
	

$up_dcto = "UPDATE tipo_dcto_num_bodega SET correlativo = $sql_num_bol WHERE id_dcto = 2 AND id_bodega='$id_bodega' AND id_empresa = $id_empresa";
	$res_up_dcto = mysql_query($up_dcto,$enlace);	
	
	/************************** insertar salida ***********************************************/	
	 $hora = date('H:i:s');
	$dia = substr ($txtfecha, 0, 2);
	$mes = substr ($txtfecha, 3, 2);
	$aņo = substr ($txtfecha, 6, 4); 
	$fecha_em = "$aņo-$mes-$dia";	
	$dia = substr ($fecha_ve, 0, 2);
	$mes = substr ($fecha_ve, 3, 2);
	$aņo = substr ($fecha_ve, 6, 4); 
	$fecha_vence = "$aņo-$mes-$dia";
		$nota =$_POST["txtnotaventa"];
		$txtnumoc=$_POST["txtnumoc"];
		$lstpago=$_POST["lstpago"];
	$observa='Nota Venta '.$nota;
	
	$wsql = "INSERT INTO salida (empresa, rut_cliente, num_dcto, tipo_dcto, fecha_emision, fecha_vencimiento, tipo_pago, neto, iva, total, productos, iva_retenido, documento_control, usuario, bodega, vendedor, zona, id_sucursal, hora, orden_compra, observacion) 
	VALUES ($id_empresa, '$txtrut', $sql_num_bol, $id_tipo_dcto, '$fecha_em', '$fecha_vence', $lstpago, $sql_neto, $sql_iva, $sql_total, 1, 0, $id_nota_venta, $id_user, $id_bodega, $id_vendedor, $id_zona, $id_sucursal,'$hora', '$txtnumoc', '$observa')";
	
	$consulta = mysql_query($wsql,$enlace);
	//++++++++++++++++++++++++++++ Sacar el ultimo
	$sql_ultimo = "SELECT id FROM salida WHERE id=last_insert_id()";
	$res_ultimo =  mysql_query($sql_ultimo, $enlace);		
	$sultimo_id = mysql_result($res_ultimo, 0, "id");
	
	
	$ssql = "UPDATE salida SET documento_control = $sultimo_id WHERE  id=$id_nota_venta";
	$consulta = mysql_query($ssql,$enlace);

	if ($lstpago==3)
		{
		
		$des = 'FACTURA '.$sql_num_bol;
		$csql="INSERT INTO pago_cliente (empresa, rut, num_salida, fecha, descripcion, valor, tipo, usuario, sucursal) 
		VALUES ($id_empresa, '$txtrut', $sultimo_id, '$fecha_em', '$des', $sql_total, 'C', $id_user, $id_sucursal)";
		$con = mysql_query($csql,$enlace);
		}
		
		
		$sqlupm = "SELECT * FROM movimiento WHERE id_soe=$id_nota_venta";
	
		$res_upm = mysql_query($sqlupm,$enlace);
		$row=0;
		while (mysql_fetch_object ($res_upm))
			{
			
			$codigo = mysql_result($res_upm, $row, "cod_producto");
			$cantidad = mysql_result($res_upm, $row, "cantidad");
			$precio = mysql_result($res_upm, $row, "precio_unitario");
			$desporprod = mysql_result($res_upm, $row, "descuentos");
			
			
				$psql = "INSERT INTO movimiento (empresa, bodega, entrada_salida_traspaso, fecha, cod_producto, cantidad, precio_unitario, rut, numero_dcto, tipo_dcto, descuentos, id_soe) 
				VALUES ($id_empresa, $id_bodega, 'S', '$fecha_em', $codigo, $cantidad, $precio, '$txtrut', $sql_num_bol, $id_tipo_dcto, $desporprod, $sultimo_id)";
				$conx = mysql_query($psql,$enlace);
		
			$row=$row+1;
			}
			
?>

<script>
alert ("El Documento ingresado con exito");
	window.top.open('','_parent','');window.top.close();
</script>
